Last Comment Bug 726875 - Tabs-Tray doesn't show selected tab when it is displayed
: Tabs-Tray doesn't show selected tab when it is displayed
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: Firefox 13
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 17:36 PST by Sriram Ramasubramanian [:sriram]
Modified: 2012-02-16 05:56 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (2.01 KB, patch)
2012-02-13 17:41 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Review

Description Sriram Ramasubramanian [:sriram] 2012-02-13 17:36:04 PST
With more than 7 tabs, on Galaxy Nexus, the list doesn't scroll to show the selected tab. It stops mid-way -- like around 4 or so.
Comment 1 Sriram Ramasubramanian [:sriram] 2012-02-13 17:41:10 PST
Created attachment 596873 [details] [diff] [review]
Patch

I initially felt that onWindowChanged() is called before list populates that causes this issue. Somehow the "smooth scrolling" fails, even if I move to just after requestLayout() of the container.

This patch ensures that the selected tab is shown when TabsTray displayed. This also takes care of Eclair. However, we lose the "smooth scrolling" to selected tab.

I somehow feel that there is too much animation happening -- a fade-in + drop down animation for the tray along with scrolling of the list. Without the scrolling the tabs-tray has just one animation and it doesn't seem that complex. (A better way of saying I don't have a patch for it yet ;) )
Comment 2 Sriram Ramasubramanian [:sriram] 2012-02-14 16:29:37 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/a4ddd189b112
Comment 3 Marco Bonardo [::mak] 2012-02-15 09:12:42 PST
https://hg.mozilla.org/mozilla-central/rev/a4ddd189b112
Comment 4 Camelia Urian 2012-02-16 05:56:03 PST
Nightly 13.0a1 (2012-02-16)
Device: Samsung Nexus S - Android 2.3.6

Verified with 8-12 tabs. Selected tab was always displayed in tab menu.

Note You need to log in before you can comment on or make changes to this bug.